# osgvolume.cpp File Reference

`#include <osg/Node>`
`#include <osg/Geometry>`
`#include <osg/Notify>`
`#include <osg/Texture3D>`
`#include <osg/TexGen>`
`#include <osg/Geode>`
`#include <osg/Billboard>`
`#include <osg/PositionAttitudeTransform>`
`#include <osg/ClipNode>`
`#include <osg/AlphaFunc>`
`#include <osg/TexGenNode>`
`#include <osg/TexEnvCombine>`
`#include <osg/Material>`
`#include <osgDB/Registry>`
`#include <osgDB/ReadFile>`
`#include <osgDB/WriteFile>`
`#include <osgDB/FileNameUtils>`
`#include <osgUtil/CullVisitor>`
`#include <osgProducer/Viewer>`

Include dependency graph for osgvolume.cpp:

## Typedefs

typedef std::vector< osg::ref_ptr< osg::Image > > | ImageList

## Functions

osg::Image * | createTexture3D (ImageList &imageList, ProcessRow &processRow, unsigned int numComponentsDesired, int s_maximumTextureSize, int t_maximumTextureSize, int r_maximumTextureSize)
osg::Image * | createNormalMapTexture (osg::Image *image_3d)
osg::Node * | createCube (float size, float alpha, unsigned int numSlices, float sliceEnd=1.0f)
osg::Node * | createModel (osg::ref_ptr< osg::Image > &image_3d, osg::ref_ptr< osg::Image > &normalmap_3d, osg::Texture::InternalFormatMode internalFormatMode, float xSize, float ySize, float zSize, float xMultiplier, float yMultiplier, float zMultiplier, unsigned int numSlices=500, float sliceEnd=1.0f, float alphaFuncValue=0.02f)
int | main (int argc, char **argv)

## Typedef Documentation

typedef std::vector< osg::ref_ptr<osg::Image> > ImageList

## Function Documentation

osg::Node* createCube | ( | float | size,
|  | float | alpha,
|  | unsigned int | numSlices,
|  | float | sliceEnd = `1.0f`
| ) |

osg::Node* createModel | ( | osg::ref_ptr< osg::Image > & | image_3d,
|  | osg::ref_ptr< osg::Image > & | normalmap_3d,
|  | osg::Texture::InternalFormatMode | internalFormatMode,
|  | float | xSize,
|  | float | ySize,
|  | float | zSize,
|  | float | xMultiplier,
|  | float | yMultiplier,
|  | float | zMultiplier,
|  | unsigned int | numSlices = `500`,
|  | float | sliceEnd = `1.0f`,
|  | float | alphaFuncValue = `0.02f`
| ) |

osg::Image* createNormalMapTexture | ( | osg::Image * | image_3d | ) |

osg::Image* createTexture3D | ( | ImageList & | imageList,
|  | ProcessRow & | processRow,
|  | unsigned int | numComponentsDesired,
|  | int | s_maximumTextureSize,
|  | int | t_maximumTextureSize,
|  | int | r_maximumTextureSize
| ) |

int main | ( | int | argc,
|  | char ** | argv
| ) |